Subject: Re: [BUG] Multi-line macros in gcc broken with CR/LF
From: MORB <[email-masked]>
To: [email-masked]
Date: Thu, 12 Oct 2000 18:09:00 +0200

Earnie Boyd wrote:

> 
> And what would you expect GCC to do on UNIX if the file contained a \r\n line
> ending?  When installing you've obviously chosen that you wanted to use UNIX
> style line endings.  Since you've chosen you wanted to UNIX style line endings
> then you *must* use UNIX style line endings.

But i do want to use unix style line endings. But, I had to apply a
patch to the gcc source tree, and it's patch that put CR/LFs in the
files it patched. Since I found no way to force patch to avoid to
replace CR/LF by LF, and as the docs says that all the tools supplied
with cygwin should work properly even with CR/LF, I assume it's a bug.

Anyway, I got rid of the problem by reinstalling a version of patch
coming from gnu, and not from cygwin.

--
Antoine 'MORB' Chavasse / CdBS Software

--
Want to unsubscribe from this list?
Send a message to [email-masked]